Type TSpieler
	
	Field xFeld			:Int 'x und y Koordinaten fr das entsprechende Feld
	Field yFeld			:Int 'auf dem sich der Spieler befindet
	
	Field SpielerIMG		:TImage 'speichert die Grafik des Spielers
	Field BewegungsTimer	:Int = MilliSecs()
	Field BewegungsPause	:Int = 250
	
	Method Steuerung() Abstract
		'Von dieser Klasse kann nun keine Instanz mehr gebildet werden
		'man muss nun ihre Eigenschaften an eine andere Klasse vererben!!!
		'die Klasse, welche erbt, muss allerdings zwingend eine Methode
		'namens Steuerung haben!!!!
	
	Method Zeichnen()
		DrawImage (SpielerIMG,xFeld*TS,yFeld*TS,0) 
	End Method
	
End Type


Type TSpieler1 Extends TSpieler 'Extends vererbt alle Eigenschaften von TSpieler an diese Klasse
	'diese Klasse besitzt alle Felder, Funktionen und Methoden von TSpieler
	'und MUSS eine Methode namens Steuerung haben
	
	Method Steuerung() 'diese Methode MUSS sein... siehe oben ;)
		If 		KeyDown(KEY_UP) And MilliSecs() > BewegungsTimer+BewegungsPause	'wenn Pfeiltaste OBEN gedrckt wird
			yFeld:-1
			BewegungsTimer = MilliSecs()
		ElseIf 	KeyDown(KEY_DOWN) And MilliSecs() > BewegungsTimer+BewegungsPause	'wenn Pfeiltaste UNTEN gedrckt wird
			yFeld:+1
			BewegungsTimer = MilliSecs()
		ElseIf 	KeyDown(KEY_LEFT) And MilliSecs() > BewegungsTimer+BewegungsPause	'wenn Pfeiltaste LINKS gedrckt wird
			xFeld:-1
			BewegungsTimer = MilliSecs()
		ElseIf 	KeyDown(KEY_RIGHT) And MilliSecs() > BewegungsTimer+BewegungsPause	'wenn Pfeiltaste RECHTS gedrckt wird
			xFeld:+1
			BewegungsTimer = MilliSecs()
		End If
		
	End Method
	
	Function Erstellen:TSpieler1 (xFeld:Int,yFeld:Int,ImgPfadName:String,ImgFrames:Int)
		Local NeuerSpieler		:TSpieler1 = New TSpieler1 'Temporren Spieler erstellen
		
		NeuerSpieler.xFeld 		= xFeld 'StartKoordinaten bergeben
		NeuerSpieler.yFeld 		= yFeld
		NeuerSpieler.SpielerIMG	= LoadAnimImage (ImgPfadName,TS,TS,0,ImgFrames)
		'AnimImage laden mit hhe und breite von 32 (da TS=32)
		
		Return NeuerSpieler 'Temporr erstellten Spieler zurck geben
	End Function

	
End Type